<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog\AbweichendeKurstage;

class TerminVerlaengernDialogController extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminVerlaengernDialog\AbweichendeKurstage\TerminVerlaengernDialogController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TerminVerlaengernDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TerminVerlaengernDialogPresenter($pUseCaseResponse);
  }
}